Subject: Re: [bfcpbis] reminder to review draft-ietf-bfcpbis-bfcp-websocket-01

From: "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
Date: Sat, 25 Oct 2014 05:35:49 +0000

Thanks, for the thorough review, Christer.

Responses inline...

On Aug 30, 2014, at 4:57 AM, Christer Holmberg <[email-masked]> wrote:

> Hi,
> 
> Below are my comments. I appologise for not providing them earlier, as promissed. They are mostly editorial, but would still require some work if accepted.
> 
> ---------------
> 
> Section 1 (Introduction):
> ------------------------------
> 
> Q1_1: I don't understand the need for the last paragraph, talking about the draft not preventing the usage of other transport mechanisms. Why does the draft need to say that?. IF that needs to be said, it should be said in the base BFCP spec.

Fixed.

> Section 3:
> ------------
> 
> Q3_1: Why is this section needed? The draft is not a teach-yourself-websocket document, is it? :)
> 
>           In my opinion the draft should reference the WebSocket RFC for general information about WebSocket, and the draft then describes the BFCP specifics - ie what is described in section 4.
> 
>           Otherwise, if some details of WebSocket change in the future, you may have to update this RFC also - even if the change does not affect the BFCP usage of WebSocket.

A bit of explanatory text was requested in early reviews.  I myself find it useful to provide modest baseline information self-contained in the document.  This is also common practice in all the foo over WebSockets documents, including RFC 7118.  That said, if you feel strongly it should be removed, we can do so. 

> Section 4:
> ------------
> 
> Q4_1: I'd suggest to change "through" to "over", "using", or something similar.

Fixed.

> Section 5:
> ------------
> 
> Q5_1: I'd suggest to change the section name to "Transport reliability"

Fixed.

> Section 6:
> ------------
> 
> Q6_1: I'd suggest to change the section name to "SDP Considerations", with separate subsections for the new transport value, the new SDP attribute etc.

Fixed.

> Q6_2: Is the new SDP ws-uri attribute BFCP specific? If not, should it be in a separate draft?

No, it isn't BFCP-specific and your point makes sense.  Having a general SDP attribute for SDP negotiated protocols over Websocket is meaningful and would facilitate future protocols over Websocket. Once I create a new draft I'll remove this bit of text and replace it with a reference to the new document.  Expect this for the -03 version.

> Q6_3: I think it would be good to have a reference to a document which talks more about the URI matching requirement.
> 
>           Something like: "As defined in section YYYY of RFC XXXX, when using Secure Websockets the CNAME of the SSL certificate must match the WebSocket connection URI host..."

I agree with the comment, but not sure what the reference should be. Not sure what will be the correct reference. Do you think something like RFC 2818 Section 3 would work?

> Q6_4: As you define a new SDP attribute, you should have a "SDP Offer/Answer Proceudures" section.

Do you mean an Offer/Answer sections in line with RFC 3264 that has the following sub-sections with relevant procedures called out?

1) Generating the Initial Offer
2) Generating the Answer
3) Offerer Processing of the Answer
4) Modify the Session

Something like what we did in Section 4 of RFC 7345?  If so, that will take me a bit of time and will need to wait until -03 as I have much to do before the submission deadline.

Thanks,

Gonzalo

> 
> 
> Thanks!
> 
> Regards,
> 
> Christer
> _______________________________________________
> bfcpbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bfcpbis